Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 504114

Summary: net-voip/linphone-4.1.1 version bump
Product: Gentoo Linux Reporter: A. Person <tesoro302>
Component: Current packagesAssignee: Andrew Savchenko <bircoph>
Status: RESOLVED OBSOLETE    
Severity: normal CC: alex_y_xu, asturm, bircoph, brad, cyberbat83, devurandom, hasufell, heluani, link, lumbrius, mail, Manfred.Knick, nikoli, pacho, phobosk, skrattaren, skruppy+gentoo, sven.koehler, tb, treecleaner, vklimovs, voron1, WiiController, xxx, zl29ah
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://gitlab.linphone.org/BC/public/linphone-desktop/blob/4.1.1/CHANGELOG.md
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 525074, 511794    
Bug Blocks: 486510, 510550, 511096, 517260, 551784, 600758, 616490, 626420    
Attachments: build.log

Comment 1 Thomas Beutin 2014-05-29 15:17:19 UTC
a first try results in:
[...]
checking for MEDIASTREAMER... no
configure: error: Package requirements (mediastreamer >= 2.10.0) were not met:

Requested 'mediastreamer >= 2.10.0' but version of mediastreamer is 2.9.0

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables MEDIASTREAMER_CFLAGS
and MEDIASTREAMER_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Comment 2 Julian Ospald 2015-01-01 23:09:09 UTC
already in my overlay: https://github.com/hasufell/prism-overlay
Comment 3 Nikoli 2015-03-15 15:54:02 UTC
3.8 was released:
http://www.linphone.org/news/31/26/Linphone-Desktop-3-8-release.html
Comment 4 Andrew Savchenko gentoo-dev 2015-03-15 18:52:17 UTC
I'll update in a few weeks.
Comment 5 Julian Ospald 2015-04-03 17:41:56 UTC
3.8 is a bit more difficult than 3.7 it seems, had to hardmask it in my overlay
Comment 6 manuel 2015-05-06 22:36:07 UTC
3.7.0 from the prism-overlay builds on my machine.
Comment 7 Julian Ospald 2015-08-16 12:31:57 UTC
3.8.2 builds fine, but still segfaults on start here
Comment 8 Sergey 'L29Ah' Alirzaev 2015-09-16 21:21:45 UTC
tried 3.8.5, crashed with double free for me as well
Comment 9 Julian Ospald 2015-09-16 21:56:28 UTC
(In reply to Sergey 'L29Ah' Alirzaev from comment #8)
> tried 3.8.5, crashed with double free for me as well

yeah, terrible software... try net-voip/blink instead
Comment 10 A. Person 2015-09-16 22:00:54 UTC
net-voip/blink deps seem a little too extensive.  Especially with net-libs/libvncserver.  Any other  VOIP suggestions?
Comment 11 manuel 2015-09-17 10:02:00 UTC
net-voip/blink still uses python2.7! Call that "state of the art". And its dependency python-sipsimple doesn't build (#560696).
Comment 12 Sergey 'L29Ah' Alirzaev 2015-09-30 21:14:56 UTC
(In reply to Julian Ospald (hasufell) from comment #9)
> yeah, terrible software... try net-voip/blink instead

I did. It crashes once a while and sometimes start eating 100% cpu for no apparent reason, but it seems to be the only SIP client that succeeds at making and accepting calls for me.
Comment 13 Sergey 'L29Ah' Alirzaev 2015-10-27 20:44:17 UTC
I've bumped a couple of ::prism-overlay ebuilds to 9999 and it seems like it works.
emerge linphone::booboo
Comment 14 Julian Ospald 2015-10-27 20:46:41 UTC
(In reply to Sergey 'L29Ah' Alirzaev from comment #13)
> I've bumped a couple of ::prism-overlay ebuilds to 9999 and it seems like it
> works.
> emerge linphone::booboo

send a PR on GitHub
Comment 15 Vjaceslavs Klimovs 2015-12-28 07:50:44 UTC
3.8.5 from prism-overlay worked here like a charm, but it would be nice to have 3.9.1.
Comment 16 Thomas Beutin 2015-12-28 08:08:49 UTC
(In reply to Vjaceslavs Klimovs from comment #15)
> 3.8.5 from prism-overlay worked here like a charm, but it would be nice to
> have 3.9.1.

not for me:

libtool: link: x86_64-pc-linux-gnu-gcc -Wall -Wuninitialized -DIN_LINPHONE -DENABLE_TRACE -DLOG_DOMAIN=\"LinphoneCore\" -DINET6 -DORTP_INET6 -DMSG_STORAGE_ENABLED -I/usr/include/libxml2 -DUSE_BELLESIP -Wdeclaration-after-statement -march=corei7-avx -fomit-frame-pointer -O2 -pipe -Wl,-O1 -o .libs/test_lsd test_lsd.o  -Wl,--as-needed ./.libs/liblinphone.so -L/usr/lib64 -lmediastreamer_base -lmediastreamer_voip -lortp /usr/lib64/libbellesip.so -lantlr3c -lpolarssl -lpthread -ldl -lrt -lsqlite3 -lxml2 /usr/lib64/libldap.so -lssl -lcrypto /usr/lib64/liblber.so -lresolv -lsasl2 -lz -ludev
./.libs/liblinphone.so: undefined reference to `video_stream_started'
./.libs/liblinphone.so: undefined reference to `video_stream_enable_dtls'
./.libs/liblinphone.so: undefined reference to `video_stream_enable_self_view'
./.libs/liblinphone.so: undefined reference to `video_stream_enable_display_filter_auto_rotate'
./.libs/liblinphone.so: undefined reference to `video_stream_send_vfu'
./.libs/liblinphone.so: undefined reference to `video_stream_set_native_preview_window_id'
./.libs/liblinphone.so: undefined reference to `ms_static_image_get_default_image'
./.libs/liblinphone.so: undefined reference to `video_stream_get_native_window_id'
./.libs/liblinphone.so: undefined reference to `video_stream_set_device_rotation'
./.libs/liblinphone.so: undefined reference to `ms_alsa_card_set_forced_sample_rate'
./.libs/liblinphone.so: undefined reference to `video_stream_set_sent_video_size'
./.libs/liblinphone.so: undefined reference to `video_stream_enable_zrtp'
./.libs/liblinphone.so: undefined reference to `video_stream_set_direction'
./.libs/liblinphone.so: undefined reference to `video_stream_get_sent_framerate'
./.libs/liblinphone.so: undefined reference to `video_preview_start'
./.libs/liblinphone.so: undefined reference to `video_preview_stop_reuse_source'
./.libs/liblinphone.so: undefined reference to `video_stream_set_event_callback'
./.libs/liblinphone.so: undefined reference to `video_stream_decoding_error_recovered'
./.libs/liblinphone.so: undefined reference to `video_preview_get_current_size'
/usr/lib64/libmediastreamer_voip.so: undefined reference to `video_stream_open_player'
./.libs/liblinphone.so: undefined reference to `video_stream_set_fps'
./.libs/liblinphone.so: undefined reference to `video_preview_stop'
./.libs/liblinphone.so: undefined reference to `video_stream_set_preview_size'
./.libs/liblinphone.so: undefined reference to `video_stream_get_native_preview_window_id'
/usr/lib64/libmediastreamer_voip.so: undefined reference to `video_stream_close_player'
./.libs/liblinphone.so: undefined reference to `video_stream_get_camera_sensor_rotation'
./.libs/liblinphone.so: undefined reference to `video_stream_stop'
./.libs/liblinphone.so: undefined reference to `video_stream_set_display_filter_name'
./.libs/liblinphone.so: undefined reference to `video_stream_is_decoding_error_to_be_reported'
./.libs/liblinphone.so: undefined reference to `ms_alsa_card_new_custom'
./.libs/liblinphone.so: undefined reference to `video_stream_show_video'
./.libs/liblinphone.so: undefined reference to `video_stream_get_received_video_size'
./.libs/liblinphone.so: undefined reference to `video_preview_new'
./.libs/liblinphone.so: undefined reference to `video_stream_set_native_window_id'
./.libs/liblinphone.so: undefined reference to `video_stream_new_with_sessions'
./.libs/liblinphone.so: undefined reference to `video_stream_send_fir'
./.libs/liblinphone.so: undefined reference to `video_stream_get_received_framerate'
./.libs/liblinphone.so: undefined reference to `video_stream_unprepare_video'
./.libs/liblinphone.so: undefined reference to `video_stream_update_video_params'
./.libs/liblinphone.so: undefined reference to `video_stream_start_with_source'
./.libs/liblinphone.so: undefined reference to `video_stream_new2'
./.libs/liblinphone.so: undefined reference to `video_stream_prepare_video'
./.libs/liblinphone.so: undefined reference to `video_stream_set_freeze_on_error'
/usr/lib64/libmediastreamer_voip.so: undefined reference to `ms_read_wav_header_from_fd'
./.libs/liblinphone.so: undefined reference to `video_stream_iterate'
./.libs/liblinphone.so: undefined reference to `video_stream_start'
./.libs/liblinphone.so: undefined reference to `ms_static_image_set_default_image'
./.libs/liblinphone.so: undefined reference to `video_stream_change_camera'
./.libs/liblinphone.so: undefined reference to `video_stream_get_sent_video_size'
./.libs/liblinphone.so: undefined reference to `video_stream_get_camera'
./.libs/liblinphone.so: undefined reference to `video_stream_use_preview_video_window'
./.libs/liblinphone.so: undefined reference to `video_stream_decoding_error_reported'
collect2: error: ld returned 1 exit status
Makefile:793: recipe for target 'test_lsd' failed
make[4]: *** [test_lsd] Error 1
make[4]: Leaving directory '/tmp/portage/net-voip/linphone-3.8.5/work/linphone-3.8.5/coreapi'
Makefile:976: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/tmp/portage/net-voip/linphone-3.8.5/work/linphone-3.8.5/coreapi'
Makefile:669: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/tmp/portage/net-voip/linphone-3.8.5/work/linphone-3.8.5/coreapi'
Makefile:582: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/portage/net-voip/linphone-3.8.5/work/linphone-3.8.5'
Makefile:510: recipe for target 'all' failed
make: *** [all] Error 2

(i'll attach the full build.log)

# emerge --info
Portage 2.2.24 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.21-r1, 4.1.12-gentoo x86_64)
=================================================================
System uname: Linux-4.1.12-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:    16358476 total,   4921908 free
KiB Swap:   20971516 total,  20971516 free
Timestamp of repository gentoo: Mon, 28 Dec 2015 05:45:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r3::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.18.4::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://192.168.5.1/gentoo-portage
    priority: -1000

rion
    location: /var/lib/layman/rion
    masters: gentoo
    priority: 0

barzog-overlay
    location: /var/lib/layman/barzog-overlay
    masters: gentoo
    priority: 1

seden
    location: /var/lib/layman/seden
    masters: gentoo
    priority: 2

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 3

desktop-effects
    location: /var/lib/layman/desktop-effects
    masters: gentoo
    priority: 4

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 5

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 6

prism-overlay
    location: /var/lib/layman/prism-overlay
    masters: gentoo
    priority: 7

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 8

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -fomit-frame-pointer -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/spool/fax/etc /var/spool/munin-async/.ssh"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -fomit-frame-pointer -O2 -pipe"
DISTDIR="/misc/GFZ2Tb/gentoo/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
USE="R X X509 a52 aac aalib accounting acl acpi adns aim aio alsa amd64 amr ansi ao apache2 apng applet archive ass audio audiofile automount avahi avx awt bacula-console bash-completion bazaar bcmath berkdb bidi bind-mysql bittorrent blas bluetooth bluray bonobo boost bzip2 cacert cairo caja calendar caps ccache cdb cdda cddb cdio cdparanoia cdr cgi chipcard chroot colord command-args consolekit corefonts cpudetection cpulimit cracklib cramfs crypt cscope css csv ctype cups curl curlwrappers customlog cvs cvsgraph cxx cyrus dba dbi dbm dbus dbx device-mapper devmap dga dhcp dirac directfb djvu dlopen dnsdb dri dts dv dvb dvd dvdr dvi ecc egl encode excel exif expat faad fam fastcgi fat fdk ffmpeg fftw fits flac flash flatfile fltk fontconfig fonts fpx ftp fuse gallium gd gdal gdbm gdu geoip geos gif gimp ginac git gles gles1 gles2 glib glpk glut gmp gnome-keyring gnuplot gpg gphoto2 graphviz gs gsf gsl gssapi gstreamer gtk gtk3 gudev gzip h323 hardened hardenedphp hddtemp hdf5 hdri highlight hpn html http hunspell hwdb iconv icq icu idea idled idn imagemagick imap imlib imlib2 inifile innodb introspection ios ipalias ipc ipod ipv6 iso jabber jack java javascript jbig jingle jit jpeg jpeg2k json kdrive kerberos keymap kpathsea lame lapack latex lcms ldap less libass libnotify libsamplerate libv4l libv4l2 libwww lm_sensors lmtp logrotate logwatch lua lzma lzo mad magic matroska mbox mcal md5sum memlimit mercurial metis mgetty mhash midi milter mime mimencode ming mmap mms mmx mmxext mng mp3 mp4 mpeg mplayer msn mtp multilib mumps musepack musicbrainz mysql mysqli nagios-dns nagios-game nagios-ntp nagios-ping nagios-ssh nautilus ncurses netboot netcdf netlink network networkmanager nfs nis nls nntp nptl nsplugin nss ntfs ntp oav ocaml ocamlopt ocatve octave odbc offensive ogg openal openexr opengl openmp openrc openssh openssl orc osc oscar pam pam_chroot pam_timestamp pango parse-clocks pcf pcntl pcre pda pdf pdfkit pdflib perl php pic plotutils png policykit posix postfix postgis postgres postproc postscript ppds procmail ps pulseaudio pwdb python qdbm qt4 quotas quvi radius raw rdesktop rdp readline recode reiserfs rrdtool rss rtmp samba sample sasl scanner schroedinger scotch screen sendfile sensord session sftp sftplogging shaper shared sharedext shorten sieve simplexml slang slp smartcard smime smp sms smtp sna sndfile snmp snortsam soap sockets socks5 sound sox spamassassin sparse spatialite speex spell spl sql sqlite sqlite3 sse sse2 sse3 sse4 sse4_1 ssh ssl ssse3 stream subversion svg sysfs syslog sysvipc szip t1lib taglib tcpd telepathy theora threads tidy tiff timidity tokenizer tools transparent-proxy truetype truetype-fonts type1-fonts udev udisks unicode upnp upnp-av usb userlocales utf8 uuid v4l vaapi vala vcd vhosts video vim-syntax virtual-users virus-scan vnc vorbis vpx wddx weather webdav webkit webm webp wifi win32codecs withsamplescripts wmf x264 x265 xattr xcb xcomposite xetex xface xfs xft xinerama xinetd xml xml2 xmlrpc xmp xmpp xorg xosd xpdf-headers xpm xps xrandr xscreensaver xsl xslt xv xvfb xvid xvmc yahoo yaml yaz zlib zvbi" ABI_X86="32 64" APACHE2_MODULES="access auth auth_basic auth_digest authn_default authn_core authn_file authn_dbm authn_dbd authn_alias authn_anon authz_core authz_groupfile authz_host authz_user authz_dbd authz_dbm authz_owner authz_default dbd ident imagemap alias echo charset_lite cache file_cache disk_cache mem_cache ext_filter case_filter case-filter-in deflate filter mime_magic cern_meta proxy proxy_connect proxy_ftp proxy_http proxy_ajp proxy_balancer proxy_fcgi proxy_wstunnel expires headers usertrack info include cgi cgid dav dav_lock dav_fs vhost_alias speling rewrite log_config logio env setenvif mime status substitute autoindex asis negotiation dir imap actions userdir so unique_id version dumpio log_forensic reqtimeout socache_shmcb unixd slotmem_shm ratelimit remoteip lbmethod_bybusyness lbmethod_byrequests lbmethod_bytraffic lbmethod_heartbeat" APACHE2_MPMS="worker" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4 sse4_1 sse4_2 ssse3" CURL_SSL="nss" ELIBC="glibc" FFTOOLS="cws2fws qt-faststart aviocat ismindex" GPSD_PROTOCOLS="aivdm sirf mtk3301 gpsclock superstar2 timing nmea" GRUB_PLATFORMS="pc multiboot efi coreboot efi-64" INPUT_DEVICES="keyboard mouse evdev wacom synaptics" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver pdfimport wiki-publisher" LINGUAS="en_GB en en_US de_DE de" PHP_TARGETS="php5-5 php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby20 ruby21" SANE_BACKENDS="net hp" USERLAND="GNU" VIDEO_CARDS="vga intel i915 i965 fbdev vesa" XFCE_PLUGINS="battery brightness clock xmonad multiload-nandhp power trash"
USE_PYTHON="2.7 3.2 3.3"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Thomas Beutin 2015-12-28 08:10:20 UTC
Created attachment 420974 [details]
build.log
Comment 18 Jaak Ristioja 2016-09-20 21:19:19 UTC
Linphone 3.10.2 seems to have been released on August 30.
Comment 19 Sergey 'L29Ah' Alirzaev 2016-09-20 23:12:54 UTC
Bumped to 3.10.2 in ::booboo.
Comment 20 Pacho Ramos gentoo-dev 2016-10-09 15:40:28 UTC
Andrew, are you still wanting to keep this package? Otherwise maybe other could proxy maintain it :/
Comment 21 Andrew Savchenko gentoo-dev 2016-10-14 14:51:41 UTC
(In reply to Pacho Ramos from comment #20)
> Andrew, are you still wanting to keep this package? Otherwise maybe other
> could proxy maintain it :/

Hi, it is sad, but right now I have no resources for this package. I hope that this will be fixed in a month or so and I will return to active support of this package till the end of year.

So if someone wants to help with maintenance of linphone, mediastreamer and its plugins, you're welcome. Just add yourself to maintainers.

Sergey, as I see from your overlay, you have good up-to-date ebuilds. I'll try to review them this weekend. If you want to become a proxied maintainer, I can help you with proxying this and related packages.
Comment 22 Sergey Ilinykh 2017-03-05 15:27:24 UTC
3.11.1 is available.
I've added it to my overlay with all the deps.

My ebuild are a little different from Sergey Alirzaev's ebuilds since I didn't check if anybody already made them before I started working on my ebuilds.

Also, I believe cmake is a preferred build tool in Belledonne Communications while they support both cmake and autotools. So it make sense to migrate everything to cmake. My ebuids are generally autotools based.

Btw I don't know what's wrong with this version or Linphone at all but it asks me for password not calling anywhere. Wireshark shows it does not try to do anything after successful registration. I use account on sip.linphone.org.
Comment 23 Pacho Ramos gentoo-dev 2017-07-28 09:35:49 UTC
*** Bug 624422 has been marked as a duplicate of this bug. ***
Comment 24 Sergey Ilinykh 2017-08-03 18:04:16 UTC
I've added 3.12 version to my overlay. And also ported all packages to cmake (linphone and dozens its dependencies).

I didn't really care about ebuilds quality, but it compiles.
If someone wants to make them nice - go ahead!
Comment 26 Pacho Ramos gentoo-dev 2017-12-06 13:23:58 UTC
Does anyone want to proxy maintain this?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 27 Pacho Ramos gentoo-dev 2017-12-06 13:25:56 UTC
*** Bug 630286 has been marked as a duplicate of this bug. ***
Comment 28 Sergey Ilinykh 2017-12-06 13:36:54 UTC
I can, but I'm not really interested in this product.

It seems they distribute binaries as well via flatpack.
So if someone wants to try linphone, this should be easy enough.
Comment 29 Maciej S. Szmigiero 2017-12-06 13:49:52 UTC
I have linphone-3.6.1 (the last version that used libosip2 and libeXosip2) successfully married to current versions of these libraries (both are at 5.0.0),
which seems to fix some bugs in network handling.

I plan to post a pull request for these changes in about a month.

This isn't a full revbump to the current 4.x series, which uses a different
SIP stack, but it works fine for my requirements and is a well-tested setup
on both x86 and arm.
Comment 30 Sergey Ilinykh 2017-12-06 14:43:32 UTC
Maciej, you are probably doing useless job.
I've already updated all their libraries in my overlay a few months ago.
And updated linphone to 3.12

same was done by Sergey 'L29Ah' Alirzaev.
See his comment https://bugs.gentoo.org/504114#c19

Someone should just review the ebuilds and update them with the latest Gentoo requirements.
Comment 31 Sergey 'L29Ah' Alirzaev 2017-12-06 15:13:47 UTC
I could maintain it further, but after i lost my convenient sip<->gsm gate, i don't use it anymore.
Comment 32 Maciej S. Szmigiero 2017-12-06 15:56:12 UTC
(In reply to Rion from comment #30)
> Maciej, you are probably doing useless job.
> I've already updated all their libraries in my overlay a few months ago.
> And updated linphone to 3.12
> 
> same was done by Sergey 'L29Ah' Alirzaev.
> See his comment https://bugs.gentoo.org/504114#c19

You are both working on belle-sip linphone versions, but considering the
following comments about them in this bug:
> 3.8.2 builds fine, but still segfaults on start here
or:
> tried 3.8.5, crashed with double free for me as well
or:
> I didn't really care about ebuilds quality, but it compiles.
or:
> Btw I don't know what's wrong with this version or Linphone at all
> but it asks me for password not calling anywhere.

I will stay with libeXosip2 linphone-3.6.1, which works rock-stable for me
(to be honest, I'm using primarily the CLI version) until belle-sip versions
reach its quality.
It looks like this may take a good while, especially that nobody seems to
want to make a commitment to maintaining them.
Comment 33 Andrew Savchenko gentoo-dev 2018-01-24 22:59:12 UTC
3.12.0 is on its way. It is available now in the rion overlay:
https://github.com/gentoo-mirror/rion.git

Together with euan I'm working to testing and porting it to the tree. In general it works and has perfect backward compatibility with old configuration, but there are other issues I'd like to fix before putting it to the tree.
Comment 34 Sergey Ilinykh 2018-02-08 09:53:53 UTC
I've added linguas fixes. but not yet tested. at least repoman is happy.
Comment 35 Pacho Ramos gentoo-dev 2018-07-11 14:08:07 UTC
Current package in the tree has long standing bugs unresolved for a long long time (not only this security issue). I would opt for either finally bumping it, or treecleaning and relying on people using other ebuilds from external overlays (some are already suggested in bug 504114)
Comment 36 Andreas Sturmlechner gentoo-dev 2018-09-02 08:42:08 UTC
(In reply to Andrew Savchenko from comment #33)
> Together with euan I'm working to testing and porting it to the tree. In
> general it works and has perfect backward compatibility with old
> configuration, but there are other issues I'd like to fix before putting it
> to the tree.

Is there any timeframe, or, finally time to last-rite all of this?
Comment 37 Sergey Ilinykh 2018-11-01 10:40:50 UTC
It seems I'm leaving Gentoo for various reasons. The major of them I don't have that much spare time anymore.

So I'm not sure I'll maintain my overlay further. Most likely I'll keep removing software from it which I don't use daily. linphone will be removed too as soon as it become somehow outdated.

So please consider other overlays. I see "quarks" overlay has the same version as mine.
Comment 38 B.D. 2018-11-04 02:09:55 UTC
Is this the quarks overlay you refer to:

https://git.zero-downtime.net/quark/quarks
Comment 39 Jason Oliveira 2018-11-24 15:17:15 UTC
Why are you last-riting all of these VoIP client packages? Yate-Client was deprecated when Qt4 was removed, gnome/kde-ring is completely useless (and not in-tree), and now Linphone, the last working VoIP client (and yes, I've been using it regularly) in the portage tree is now being deleted?

What the hell is wrong with you people? 

Looking at pacho@gentoo.org in particular, as your name is all over the package mask.
Comment 40 Andreas Sturmlechner gentoo-dev 2018-11-24 19:05:10 UTC
A truckload of issues with no one to fix them.
Comment 41 Andrew Savchenko gentoo-dev 2018-11-30 23:35:13 UTC
I'm OK with keeping package masked, since it has serious problems, but it still works, so it is too early to last rite it.

Meanwhile latest upstream linphone version doesn't use libosip, so the latter could be removed after update.
Comment 42 Sebastian Schreier 2018-12-03 20:06:30 UTC
LOL just realised after a looong time of not upgrading my system it is removed from portage. 

4.2 is released and it looks like they switched to there own git server.

https://gitlab.linphone.org/BC/public/linphone-desktop/tree/release/4.2
Comment 43 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-12-03 23:17:38 UTC
(In reply to Sebastian Schreier from comment #42)
> LOL just realised after a looong time of not upgrading my system it is
> removed from portage. 
> 
> 4.2 is released and it looks like they switched to there own git server.
> 
> https://gitlab.linphone.org/BC/public/linphone-desktop/tree/release/4.2

It is not removed.  It is masked.
Comment 44 Andreas Sturmlechner gentoo-dev 2018-12-15 23:05:06 UTC
4.2 does not seem to be a thing (yet), you're just looking at a Changelog-in-the-making.

4.1.1 is current release.
Comment 45 Jason Oliveira 2019-03-11 17:04:43 UTC
current git build of linphone seems to require pystache (which can be installed from portage), but while building the package, it constantly complains that it cannot find the pystache package. 

I've tried installing from inside Portage, and with pip --user install pystache, and neither work. It just plain won't find the package.

This is a shame, because 3.12 runs, once you fix a dependency's requirement to break on all warnings.
Comment 46 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-03-13 09:47:36 UTC
Package removed as a result of vulnerable dependency removal.